Bug 735701 - untitled source urls should show something more useful instead of the generic "Source URL" text
Summary: untitled source urls should show something more useful instead of the generic...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dana Mison
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 04:23 UTC by Dana Mison
Modified: 2013-07-02 00:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-02 00:32:04 UTC


Attachments (Terms of Use)

Description Dana Mison 2011-09-05 04:23:28 UTC
20110901-0957 /CustomSearchTopicList.xhtml

As $SUBJECT.  or at possibly the protocol://domain part of the URL if lengthy URLs are a concern.  just something a bit more descriptive than "Source URL" ;-)

Comment 1 Matthew Casperson 2011-09-15 03:29:55 UTC
Fixed in 20110915-1326

The TopicSourceUrl class gets a @PrePersist and @PreUpdate function called setTitle() that uses HTML Cleaner (http://htmlcleaner.sourceforge.net/) to download and extract the title from any source url that has an empty title.

The SkynetCommandLine Project has been updated with a method called fixURLTitles(), which has been used to update any existing blank titles.


Note You need to log in before you can comment on or make changes to this bug.